##########################################################################
### dictionary.plugin.py NetOI-2006
###

class DICTIONARY(Task):

    id = 'DICTIONARY'
    tests = [
        Test(id='01', time=0.05, score=1, dat=None, chk=None),
        Test(id='02', time=0.05, score=1, dat=None, chk=None),
        Test(id='03', time=0.05, score=1, dat=None, chk=None),
        Test(id='04', time=0.05, score=1, dat=None, chk=None),
        Test(id='05', time=0.05, score=1, dat=None, chk=None),
        Test(id='06', time=0.05, score=1, dat=None, chk=None),
        Test(id='07', time=0.05, score=2, dat=None, chk=None),
        Test(id='08', time=0.05, score=2, dat=None, chk=None),
        Test(id='09', time=0.05, score=2, dat=None, chk=None),
        Test(id='10', time=0.05, score=2, dat=None, chk=None),
        Test(id='11', time=0.05, score=2, dat=None, chk=None),
        Test(id='12', time=0.05, score=2, dat=None, chk=None),
        Test(id='13', time=0.05, score=2, dat=None, chk=None),

    ]
    

    def load_dat(self, stream):
        return Dat(data=map(long, stream.readline().split()))

    
    def load_chk(self, stream):
	Answer = stream.readline().strip().upper()
        return Chk(Answer=Answer)
					    						


    def write_input(self, dat):
        self.write_line(*dat.data)
    
    def read_output(self, dat):
        Answer = self.read_line(str).upper()
        return Sol(Answer=Answer)
				    


###
### EOF
##########################################################################
